Bug 1417774 - Data on the Optimize->Bottlenecks page doesn't get updated as different item selections are made on the Bottlenecks tree
Summary: Data on the Optimize->Bottlenecks page doesn't get updated as different item ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:bottleneck
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 23:16 UTC by Nandini Chandra
Modified: 2017-05-31 14:33 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:33:43 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1417772 None None None Never
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Internal Links: 1417772

Description Nandini Chandra 2017-01-30 23:16:10 UTC
Description of problem:
-----------------------
Data on the Optimize->Bottlenecks page doesn't get updated as different item selections are made on the Bottlenecks tree.

This could be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1417772


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.7.1


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1)Manage a provider.Enable C&U collection for the provider.Generate bottleneck events for the provider.
2)Navigate to Optimize->Bottleencks.
3)Select a provider/cluster/host on the left.


Actual results:
---------------
The data shown on the right corresponds to Region and doesn't get updated as different item selections are made on the Bottlenecks tree.


Expected results:
-----------------
Data on the Optimize->Bottlenecks page should get updated as different item selections are made on the Bottlenecks tree.


Additional info:
----------------

Comment 5 CFME Bot 2017-02-08 13:38:48 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/05bed9e5b3ed478ee53da0d3f95152c642b1efc5

commit 05bed9e5b3ed478ee53da0d3f95152c642b1efc5
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Wed Feb 8 10:25:44 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Feb 8 10:25:44 2017 +0100

    Fixed DOM element names for Utilization & Bottleneck tree select
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1417772
    https://bugzilla.redhat.com/show_bug.cgi?id=1417774

 app/assets/javascripts/miq_tree.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 6 Nandini Chandra 2017-03-08 23:36:25 UTC
Verified in 5.8.0.3

Comment 8 errata-xmlrpc 2017-05-31 14:33:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.